
From: "Randy.Dunlap" <rddunlap@osdl.org>

Remove #include <linux/version.h> -- not needed in these files
and can cause unnecessary builds.



 25-akpm/drivers/atm/fore200e.c             |    1 -
 25-akpm/drivers/atm/horizon.h              |    1 -
 25-akpm/drivers/atm/iphase.c               |    1 -
 25-akpm/drivers/block/DAC960.c             |    1 -
 25-akpm/drivers/block/cciss.c              |    1 -
 25-akpm/drivers/bluetooth/hci_bcsp.c       |    1 -
 25-akpm/drivers/bluetooth/hci_h4.c         |    1 -
 25-akpm/drivers/bluetooth/hci_ldisc.c      |    1 -
 25-akpm/drivers/bluetooth/hci_usb.c        |    1 -
 25-akpm/drivers/char/mwave/3780i.c         |    1 -
 25-akpm/drivers/char/mwave/mwavedd.c       |    1 -
 25-akpm/drivers/char/mwave/smapi.c         |    1 -
 25-akpm/drivers/char/n_hdlc.c              |    1 -
 25-akpm/drivers/char/sx.c                  |    1 -
 25-akpm/drivers/char/synclink.c            |    1 -
 25-akpm/drivers/char/synclinkmp.c          |    1 -
 25-akpm/drivers/char/vt.c                  |    1 -
 25-akpm/drivers/ieee1394/ieee1394_types.h  |    1 -
 25-akpm/drivers/ieee1394/nodemgr.c         |    1 -
 25-akpm/drivers/ieee1394/ohci1394.h        |    2 --
 25-akpm/drivers/ieee1394/raw1394.c         |    1 -
 25-akpm/drivers/ieee1394/sbp2.c            |    3 ---
 25-akpm/drivers/ieee1394/video1394.c       |    1 -
 25-akpm/drivers/message/fusion/mptscsih.c  |    1 -
 25-akpm/drivers/message/fusion/mptscsih.h  |    3 ---
 25-akpm/fs/afs/cmservice.c                 |    1 -
 25-akpm/fs/afs/internal.h                  |    1 -
 25-akpm/fs/afs/kafsasyncd.c                |    1 -
 25-akpm/fs/afs/kafstimod.c                 |    1 -
 25-akpm/fs/afs/vnode.h                     |    1 -
 25-akpm/fs/befs/datastream.c               |    1 -
 25-akpm/fs/cifs/cifsfs.c                   |    1 -
 25-akpm/fs/cifs/file.c                     |    1 -
 25-akpm/fs/cifs/transport.c                |    1 -
 25-akpm/fs/devfs/base.c                    |    1 -
 25-akpm/fs/intermezzo/intermezzo_journal.h |    2 --
 25-akpm/fs/intermezzo/intermezzo_kml.h     |    1 -
 25-akpm/fs/intermezzo/intermezzo_psdev.h   |    1 -
 25-akpm/fs/lockd/svc.c                     |    1 -
 25-akpm/fs/nls/nls_base.c                  |    1 -
 25-akpm/fs/ntfs/ntfs.h                     |    2 --
 25-akpm/fs/udf/super.c                     |    1 -
 25-akpm/fs/udf/udfdecl.h                   |    4 ----
 25-akpm/include/acpi/acpi_bus.h            |    1 -
 25-akpm/include/linux/auto_fs.h            |    1 -
 45 files changed, 55 deletions(-)

diff -puN drivers/atm/fore200e.c~remove-version_h drivers/atm/fore200e.c
--- 25/drivers/atm/fore200e.c~remove-version_h	Thu Sep  4 11:16:13 2003
+++ 25-akpm/drivers/atm/fore200e.c	Thu Sep  4 11:16:13 2003
@@ -25,7 +25,6 @@
 */
 
 
-#include <linux/version.h>
 #include <linux/config.h>
 #include <linux/kernel.h>
 #include <linux/slab.h>
diff -puN drivers/atm/horizon.h~remove-version_h drivers/atm/horizon.h
--- 25/drivers/atm/horizon.h~remove-version_h	Thu Sep  4 11:16:13 2003
+++ 25-akpm/drivers/atm/horizon.h	Thu Sep  4 11:16:13 2003
@@ -31,7 +31,6 @@
 #define DRIVER_ATM_HORIZON_H
 
 #include <linux/config.h>
-#include <linux/version.h>
 
 #ifdef CONFIG_ATM_HORIZON_DEBUG
 #define DEBUG_HORIZON
diff -puN drivers/atm/iphase.c~remove-version_h drivers/atm/iphase.c
--- 25/drivers/atm/iphase.c~remove-version_h	Thu Sep  4 11:16:13 2003
+++ 25-akpm/drivers/atm/iphase.c	Thu Sep  4 11:16:13 2003
@@ -40,7 +40,6 @@
 
 *******************************************************************************/
 
-#include <linux/version.h>
 #include <linux/module.h>  
 #include <linux/kernel.h>  
 #include <linux/mm.h>  
diff -puN drivers/block/cciss.c~remove-version_h drivers/block/cciss.c
--- 25/drivers/block/cciss.c~remove-version_h	Thu Sep  4 11:16:13 2003
+++ 25-akpm/drivers/block/cciss.c	Thu Sep  4 11:16:13 2003
@@ -23,7 +23,6 @@
 #include <linux/config.h>	/* CONFIG_PROC_FS */
 #include <linux/module.h>
 #include <linux/interrupt.h>
-#include <linux/version.h>
 #include <linux/types.h>
 #include <linux/pci.h>
 #include <linux/kernel.h>
diff -puN drivers/block/DAC960.c~remove-version_h drivers/block/DAC960.c
--- 25/drivers/block/DAC960.c~remove-version_h	Thu Sep  4 11:16:13 2003
+++ 25-akpm/drivers/block/DAC960.c	Thu Sep  4 11:16:13 2003
@@ -20,7 +20,6 @@
 #define DAC960_DriverDate			"14 November 2002"
 
 
-#include <linux/version.h>
 #include <linux/module.h>
 #include <linux/types.h>
 #include <linux/miscdevice.h>
diff -puN drivers/bluetooth/hci_bcsp.c~remove-version_h drivers/bluetooth/hci_bcsp.c
--- 25/drivers/bluetooth/hci_bcsp.c~remove-version_h	Thu Sep  4 11:16:13 2003
+++ 25-akpm/drivers/bluetooth/hci_bcsp.c	Thu Sep  4 11:16:13 2003
@@ -33,7 +33,6 @@
 #include <linux/config.h>
 #include <linux/module.h>
 
-#include <linux/version.h>
 #include <linux/config.h>
 #include <linux/kernel.h>
 #include <linux/init.h>
diff -puN drivers/bluetooth/hci_h4.c~remove-version_h drivers/bluetooth/hci_h4.c
--- 25/drivers/bluetooth/hci_h4.c~remove-version_h	Thu Sep  4 11:16:13 2003
+++ 25-akpm/drivers/bluetooth/hci_h4.c	Thu Sep  4 11:16:13 2003
@@ -32,7 +32,6 @@
 #include <linux/config.h>
 #include <linux/module.h>
 
-#include <linux/version.h>
 #include <linux/kernel.h>
 #include <linux/init.h>
 #include <linux/sched.h>
diff -puN drivers/bluetooth/hci_ldisc.c~remove-version_h drivers/bluetooth/hci_ldisc.c
--- 25/drivers/bluetooth/hci_ldisc.c~remove-version_h	Thu Sep  4 11:16:13 2003
+++ 25-akpm/drivers/bluetooth/hci_ldisc.c	Thu Sep  4 11:16:13 2003
@@ -32,7 +32,6 @@
 #include <linux/config.h>
 #include <linux/module.h>
 
-#include <linux/version.h>
 #include <linux/config.h>
 #include <linux/kernel.h>
 #include <linux/init.h>
diff -puN drivers/bluetooth/hci_usb.c~remove-version_h drivers/bluetooth/hci_usb.c
--- 25/drivers/bluetooth/hci_usb.c~remove-version_h	Thu Sep  4 11:16:13 2003
+++ 25-akpm/drivers/bluetooth/hci_usb.c	Thu Sep  4 11:16:13 2003
@@ -36,7 +36,6 @@
 #include <linux/config.h>
 #include <linux/module.h>
 
-#include <linux/version.h>
 #include <linux/kernel.h>
 #include <linux/init.h>
 #include <linux/sched.h>
diff -puN drivers/char/mwave/3780i.c~remove-version_h drivers/char/mwave/3780i.c
--- 25/drivers/char/mwave/3780i.c~remove-version_h	Thu Sep  4 11:16:13 2003
+++ 25-akpm/drivers/char/mwave/3780i.c	Thu Sep  4 11:16:13 2003
@@ -46,7 +46,6 @@
 *	First release to the public
 */
 
-#include <linux/version.h>
 #include <linux/config.h>
 #include <linux/kernel.h>
 #include <linux/unistd.h>
diff -puN drivers/char/mwave/mwavedd.c~remove-version_h drivers/char/mwave/mwavedd.c
--- 25/drivers/char/mwave/mwavedd.c~remove-version_h	Thu Sep  4 11:16:13 2003
+++ 25-akpm/drivers/char/mwave/mwavedd.c	Thu Sep  4 11:16:13 2003
@@ -46,7 +46,6 @@
 *	First release to the public
 */
 
-#include <linux/version.h>
 #include <linux/module.h>
 #include <linux/kernel.h>
 #include <linux/fs.h>
diff -puN drivers/char/mwave/smapi.c~remove-version_h drivers/char/mwave/smapi.c
--- 25/drivers/char/mwave/smapi.c~remove-version_h	Thu Sep  4 11:16:13 2003
+++ 25-akpm/drivers/char/mwave/smapi.c	Thu Sep  4 11:16:13 2003
@@ -46,7 +46,6 @@
 *	First release to the public
 */
 
-#include <linux/version.h>
 #include <linux/kernel.h>
 #include <linux/mc146818rtc.h>	/* CMOS defines */
 #include "smapi.h"
diff -puN drivers/char/n_hdlc.c~remove-version_h drivers/char/n_hdlc.c
--- 25/drivers/char/n_hdlc.c~remove-version_h	Thu Sep  4 11:16:13 2003
+++ 25-akpm/drivers/char/n_hdlc.c	Thu Sep  4 11:16:13 2003
@@ -81,7 +81,6 @@
 #define HDLC_MAGIC 0x239e
 #define HDLC_VERSION "$Revision: 4.8 $"
 
-#include <linux/version.h>
 #include <linux/config.h>
 #include <linux/module.h>
 #include <linux/init.h>
diff -puN drivers/char/sx.c~remove-version_h drivers/char/sx.c
--- 25/drivers/char/sx.c~remove-version_h	Thu Sep  4 11:16:13 2003
+++ 25-akpm/drivers/char/sx.c	Thu Sep  4 11:16:13 2003
@@ -219,7 +219,6 @@
 #include <linux/fcntl.h>
 #include <linux/major.h>
 #include <linux/delay.h>
-#include <linux/version.h>
 #include <linux/pci.h>
 #include <linux/slab.h>
 #include <linux/init.h>
diff -puN drivers/char/synclink.c~remove-version_h drivers/char/synclink.c
--- 25/drivers/char/synclink.c~remove-version_h	Thu Sep  4 11:16:13 2003
+++ 25-akpm/drivers/char/synclink.c	Thu Sep  4 11:16:13 2003
@@ -66,7 +66,6 @@
 
 #include <linux/config.h>	
 #include <linux/module.h>
-#include <linux/version.h>
 #include <linux/errno.h>
 #include <linux/signal.h>
 #include <linux/sched.h>
diff -puN drivers/char/synclinkmp.c~remove-version_h drivers/char/synclinkmp.c
--- 25/drivers/char/synclinkmp.c~remove-version_h	Thu Sep  4 11:16:13 2003
+++ 25-akpm/drivers/char/synclinkmp.c	Thu Sep  4 11:16:13 2003
@@ -36,7 +36,6 @@
 
 #include <linux/config.h>
 #include <linux/module.h>
-#include <linux/version.h>
 #include <linux/errno.h>
 #include <linux/signal.h>
 #include <linux/sched.h>
diff -puN drivers/char/vt.c~remove-version_h drivers/char/vt.c
--- 25/drivers/char/vt.c~remove-version_h	Thu Sep  4 11:16:13 2003
+++ 25-akpm/drivers/char/vt.c	Thu Sep  4 11:16:13 2003
@@ -97,7 +97,6 @@
 #include <linux/timer.h>
 #include <linux/interrupt.h>
 #include <linux/config.h>
-#include <linux/version.h>
 #include <linux/workqueue.h>
 #include <linux/bootmem.h>
 #include <linux/pm.h>
diff -puN drivers/ieee1394/ieee1394_types.h~remove-version_h drivers/ieee1394/ieee1394_types.h
--- 25/drivers/ieee1394/ieee1394_types.h~remove-version_h	Thu Sep  4 11:16:13 2003
+++ 25-akpm/drivers/ieee1394/ieee1394_types.h	Thu Sep  4 11:16:13 2003
@@ -4,7 +4,6 @@
 
 #include <linux/kernel.h>
 #include <linux/types.h>
-#include <linux/version.h>
 #include <linux/list.h>
 #include <linux/init.h>
 #include <linux/spinlock.h>
diff -puN drivers/ieee1394/nodemgr.c~remove-version_h drivers/ieee1394/nodemgr.c
--- 25/drivers/ieee1394/nodemgr.c~remove-version_h	Thu Sep  4 11:16:13 2003
+++ 25-akpm/drivers/ieee1394/nodemgr.c	Thu Sep  4 11:16:13 2003
@@ -22,7 +22,6 @@
 
 #include "ieee1394_types.h"
 #include "ieee1394.h"
-#include "nodemgr.h"
 #include "hosts.h"
 #include "ieee1394_transactions.h"
 #include "highlevel.h"
diff -puN drivers/ieee1394/ohci1394.h~remove-version_h drivers/ieee1394/ohci1394.h
--- 25/drivers/ieee1394/ohci1394.h~remove-version_h	Thu Sep  4 11:16:13 2003
+++ 25-akpm/drivers/ieee1394/ohci1394.h	Thu Sep  4 11:16:13 2003
@@ -21,8 +21,6 @@
 #ifndef _OHCI1394_H
 #define _OHCI1394_H
 
-#include <asm/io.h>
-
 #include "ieee1394_types.h"
 #include <asm/io.h>
 
diff -puN drivers/ieee1394/raw1394.c~remove-version_h drivers/ieee1394/raw1394.c
--- 25/drivers/ieee1394/raw1394.c~remove-version_h	Thu Sep  4 11:16:13 2003
+++ 25-akpm/drivers/ieee1394/raw1394.c	Thu Sep  4 11:16:13 2003
@@ -35,7 +35,6 @@
 #include <linux/poll.h>
 #include <linux/module.h>
 #include <linux/init.h>
-#include <linux/version.h>
 #include <linux/smp_lock.h>
 #include <linux/interrupt.h>
 #include <linux/vmalloc.h>
diff -puN drivers/ieee1394/sbp2.c~remove-version_h drivers/ieee1394/sbp2.c
--- 25/drivers/ieee1394/sbp2.c~remove-version_h	Thu Sep  4 11:16:13 2003
+++ 25-akpm/drivers/ieee1394/sbp2.c	Thu Sep  4 11:16:13 2003
@@ -54,7 +54,6 @@
 #include <linux/blkdev.h>
 #include <linux/smp_lock.h>
 #include <linux/init.h>
-#include <linux/version.h>
 #include <linux/pci.h>
 
 #include <asm/current.h>
@@ -63,7 +62,6 @@
 #include <asm/byteorder.h>
 #include <asm/atomic.h>
 #include <asm/system.h>
-#include <asm/io.h>
 #include <asm/scatterlist.h>
 
 #include "../scsi/scsi.h"
@@ -74,7 +72,6 @@
 #include "ieee1394_core.h"
 #include "nodemgr.h"
 #include "hosts.h"
-#include "nodemgr.h"
 #include "highlevel.h"
 #include "ieee1394_transactions.h"
 #include "sbp2.h"
diff -puN drivers/ieee1394/video1394.c~remove-version_h drivers/ieee1394/video1394.c
--- 25/drivers/ieee1394/video1394.c~remove-version_h	Thu Sep  4 11:16:13 2003
+++ 25-akpm/drivers/ieee1394/video1394.c	Thu Sep  4 11:16:13 2003
@@ -46,7 +46,6 @@
 
 #include "ieee1394.h"
 #include "ieee1394_types.h"
-#include "nodemgr.h"
 #include "hosts.h"
 #include "ieee1394_core.h"
 #include "highlevel.h"
diff -puN drivers/message/fusion/mptscsih.c~remove-version_h drivers/message/fusion/mptscsih.c
--- 25/drivers/message/fusion/mptscsih.c~remove-version_h	Thu Sep  4 11:16:13 2003
+++ 25-akpm/drivers/message/fusion/mptscsih.c	Thu Sep  4 11:16:13 2003
@@ -66,7 +66,6 @@
 /*=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=*/
 
 #include <linux/module.h>
-#include <linux/version.h>
 #include <linux/kernel.h>
 #include <linux/init.h>
 #include <linux/errno.h>
diff -puN drivers/message/fusion/mptscsih.h~remove-version_h drivers/message/fusion/mptscsih.h
--- 25/drivers/message/fusion/mptscsih.h~remove-version_h	Thu Sep  4 11:16:13 2003
+++ 25-akpm/drivers/message/fusion/mptscsih.h	Thu Sep  4 11:16:13 2003
@@ -60,9 +60,6 @@
 
 #ifndef SCSIHOST_H_INCLUDED
 #define SCSIHOST_H_INCLUDED
-/*=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=*/
-
-#include "linux/version.h"
 
 /*=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=*/
 /*
diff -puN fs/afs/cmservice.c~remove-version_h fs/afs/cmservice.c
--- 25/fs/afs/cmservice.c~remove-version_h	Thu Sep  4 11:16:13 2003
+++ 25-akpm/fs/afs/cmservice.c	Thu Sep  4 11:16:13 2003
@@ -9,7 +9,6 @@
  * 2 of the License, or (at your option) any later version.
  */
 
-#include <linux/version.h>
 #include <linux/module.h>
 #include <linux/init.h>
 #include <linux/sched.h>
diff -puN fs/afs/internal.h~remove-version_h fs/afs/internal.h
--- 25/fs/afs/internal.h~remove-version_h	Thu Sep  4 11:16:13 2003
+++ 25-akpm/fs/afs/internal.h	Thu Sep  4 11:16:13 2003
@@ -12,7 +12,6 @@
 #ifndef AFS_INTERNAL_H
 #define AFS_INTERNAL_H
 
-#include <linux/version.h>
 #include <linux/compiler.h>
 #include <linux/kernel.h>
 #include <linux/fs.h>
diff -puN fs/afs/kafsasyncd.c~remove-version_h fs/afs/kafsasyncd.c
--- 25/fs/afs/kafsasyncd.c~remove-version_h	Thu Sep  4 11:16:13 2003
+++ 25-akpm/fs/afs/kafsasyncd.c	Thu Sep  4 11:16:13 2003
@@ -16,7 +16,6 @@
  * - poll volume location servers to keep up to date volume location lists
  */
 
-#include <linux/version.h>
 #include <linux/module.h>
 #include <linux/init.h>
 #include <linux/sched.h>
diff -puN fs/afs/kafstimod.c~remove-version_h fs/afs/kafstimod.c
--- 25/fs/afs/kafstimod.c~remove-version_h	Thu Sep  4 11:16:13 2003
+++ 25-akpm/fs/afs/kafstimod.c	Thu Sep  4 11:16:13 2003
@@ -9,7 +9,6 @@
  * 2 of the License, or (at your option) any later version.
  */
 
-#include <linux/version.h>
 #include <linux/module.h>
 #include <linux/init.h>
 #include <linux/sched.h>
diff -puN fs/afs/vnode.h~remove-version_h fs/afs/vnode.h
--- 25/fs/afs/vnode.h~remove-version_h	Thu Sep  4 11:16:13 2003
+++ 25-akpm/fs/afs/vnode.h	Thu Sep  4 11:16:13 2003
@@ -13,7 +13,6 @@
 #define _LINUX_AFS_VNODE_H
 
 #include <linux/fs.h>
-#include <linux/version.h>
 #include "server.h"
 #include "kafstimod.h"
 
diff -puN fs/befs/datastream.c~remove-version_h fs/befs/datastream.c
--- 25/fs/befs/datastream.c~remove-version_h	Thu Sep  4 11:16:13 2003
+++ 25-akpm/fs/befs/datastream.c	Thu Sep  4 11:16:13 2003
@@ -11,7 +11,6 @@
  */
 
 #include <linux/kernel.h>
-#include <linux/version.h>
 #include <linux/slab.h>
 #include <linux/buffer_head.h>
 #include <linux/string.h>
diff -puN fs/cifs/cifsfs.c~remove-version_h fs/cifs/cifsfs.c
--- 25/fs/cifs/cifsfs.c~remove-version_h	Thu Sep  4 11:16:13 2003
+++ 25-akpm/fs/cifs/cifsfs.c	Thu Sep  4 11:16:13 2003
@@ -28,7 +28,6 @@
 #include <linux/mount.h>
 #include <linux/slab.h>
 #include <linux/init.h>
-#include <linux/version.h>
 #include <linux/list.h>
 #include <linux/seq_file.h>
 #include <linux/vfs.h>
diff -puN fs/cifs/file.c~remove-version_h fs/cifs/file.c
--- 25/fs/cifs/file.c~remove-version_h	Thu Sep  4 11:16:13 2003
+++ 25-akpm/fs/cifs/file.c	Thu Sep  4 11:16:13 2003
@@ -23,7 +23,6 @@
 #include <linux/fs.h>
 #include <linux/stat.h>
 #include <linux/fcntl.h>
-#include <linux/version.h>
 #include <linux/pagemap.h>
 #include <linux/pagevec.h>
 #include <linux/smp_lock.h>
diff -puN fs/cifs/transport.c~remove-version_h fs/cifs/transport.c
--- 25/fs/cifs/transport.c~remove-version_h	Thu Sep  4 11:16:13 2003
+++ 25-akpm/fs/cifs/transport.c	Thu Sep  4 11:16:13 2003
@@ -23,7 +23,6 @@
 #include <linux/list.h>
 #include <linux/wait.h>
 #include <linux/net.h>
-#include <linux/version.h>
 #include <asm/uaccess.h>
 #include <asm/processor.h>
 #include "cifspdu.h"
diff -puN fs/devfs/base.c~remove-version_h fs/devfs/base.c
--- 25/fs/devfs/base.c~remove-version_h	Thu Sep  4 11:16:13 2003
+++ 25-akpm/fs/devfs/base.c	Thu Sep  4 11:16:13 2003
@@ -674,7 +674,6 @@
 #include <linux/devfs_fs_kernel.h>
 #include <linux/smp_lock.h>
 #include <linux/smp.h>
-#include <linux/version.h>
 #include <linux/rwsem.h>
 #include <linux/sched.h>
 
diff -puN fs/intermezzo/intermezzo_journal.h~remove-version_h fs/intermezzo/intermezzo_journal.h
--- 25/fs/intermezzo/intermezzo_journal.h~remove-version_h	Thu Sep  4 11:16:13 2003
+++ 25-akpm/fs/intermezzo/intermezzo_journal.h	Thu Sep  4 11:16:13 2003
@@ -2,8 +2,6 @@
 #define __PRESTO_JOURNAL_H
 
 
-#include <linux/version.h>
-
 struct journal_prefix {
 	int len;
         u32 version;
diff -puN fs/intermezzo/intermezzo_kml.h~remove-version_h fs/intermezzo/intermezzo_kml.h
--- 25/fs/intermezzo/intermezzo_kml.h~remove-version_h	Thu Sep  4 11:16:13 2003
+++ 25-akpm/fs/intermezzo/intermezzo_kml.h	Thu Sep  4 11:16:13 2003
@@ -1,7 +1,6 @@
 #ifndef __INTERMEZZO_KML_H
 #define __INTERMEZZO_KML_H
 
-#include <linux/version.h>
 #include "intermezzo_psdev.h"
 #include <linux/fs.h>
 #include "intermezzo_journal.h"
diff -puN fs/intermezzo/intermezzo_psdev.h~remove-version_h fs/intermezzo/intermezzo_psdev.h
--- 25/fs/intermezzo/intermezzo_psdev.h~remove-version_h	Thu Sep  4 11:16:13 2003
+++ 25-akpm/fs/intermezzo/intermezzo_psdev.h	Thu Sep  4 11:16:13 2003
@@ -9,7 +9,6 @@
 #define PROCNAME_SIZE 32
 #include <linux/smp_lock.h>
 #include <linux/smp_lock.h>
-#include <linux/version.h>
 
 /* represents state of an instance reached with /dev/intermezzo */
 /* communication pending & processing queues */
diff -puN fs/lockd/svc.c~remove-version_h fs/lockd/svc.c
--- 25/fs/lockd/svc.c~remove-version_h	Thu Sep  4 11:16:13 2003
+++ 25-akpm/fs/lockd/svc.c	Thu Sep  4 11:16:13 2003
@@ -23,7 +23,6 @@
 #include <linux/errno.h>
 #include <linux/in.h>
 #include <linux/uio.h>
-#include <linux/version.h>
 #include <linux/unistd.h>
 #include <linux/slab.h>
 #include <linux/smp.h>
diff -puN fs/nls/nls_base.c~remove-version_h fs/nls/nls_base.c
--- 25/fs/nls/nls_base.c~remove-version_h	Thu Sep  4 11:16:13 2003
+++ 25-akpm/fs/nls/nls_base.c	Thu Sep  4 11:16:13 2003
@@ -8,7 +8,6 @@
  *
  */
 
-#include <linux/version.h>
 #include <linux/module.h>
 #include <linux/string.h>
 #include <linux/config.h>
diff -puN fs/ntfs/ntfs.h~remove-version_h fs/ntfs/ntfs.h
--- 25/fs/ntfs/ntfs.h~remove-version_h	Thu Sep  4 11:16:13 2003
+++ 25-akpm/fs/ntfs/ntfs.h	Thu Sep  4 11:16:13 2003
@@ -24,8 +24,6 @@
 #ifndef _LINUX_NTFS_H
 #define _LINUX_NTFS_H
 
-#include <linux/version.h>
-
 #include <linux/kernel.h>
 #include <linux/module.h>
 #include <linux/compiler.h>
diff -puN fs/udf/super.c~remove-version_h fs/udf/super.c
--- 25/fs/udf/super.c~remove-version_h	Thu Sep  4 11:16:13 2003
+++ 25-akpm/fs/udf/super.c	Thu Sep  4 11:16:13 2003
@@ -46,7 +46,6 @@
 #include "udfdecl.h"    
 
 #include <linux/config.h>
-#include <linux/version.h>
 #include <linux/blkdev.h>
 #include <linux/slab.h>
 #include <linux/kernel.h>
diff -puN fs/udf/udfdecl.h~remove-version_h fs/udf/udfdecl.h
--- 25/fs/udf/udfdecl.h~remove-version_h	Thu Sep  4 11:16:13 2003
+++ 25-akpm/fs/udf/udfdecl.h	Thu Sep  4 11:16:13 2003
@@ -12,10 +12,6 @@
 #include <linux/udf_fs_sb.h>
 #include <linux/buffer_head.h>
 
-#ifndef LINUX_VERSION_CODE
-#include <linux/version.h>
-#endif
-
 #include "udfend.h"
 
 #define udf_fixed_to_variable(x) ( ( ( (x) >> 5 ) * 39 ) + ( (x) & 0x0000001F ) )
diff -puN include/acpi/acpi_bus.h~remove-version_h include/acpi/acpi_bus.h
--- 25/include/acpi/acpi_bus.h~remove-version_h	Thu Sep  4 11:16:13 2003
+++ 25-akpm/include/acpi/acpi_bus.h	Thu Sep  4 11:16:13 2003
@@ -26,7 +26,6 @@
 #ifndef __ACPI_BUS_H__
 #define __ACPI_BUS_H__
 
-#include <linux/version.h>
 #include <linux/kobject.h>
 
 #include <acpi/acpi.h>
diff -puN include/linux/auto_fs.h~remove-version_h include/linux/auto_fs.h
--- 25/include/linux/auto_fs.h~remove-version_h	Thu Sep  4 11:16:13 2003
+++ 25-akpm/include/linux/auto_fs.h	Thu Sep  4 11:16:13 2003
@@ -15,7 +15,6 @@
 #define _LINUX_AUTO_FS_H
 
 #ifdef __KERNEL__
-#include <linux/version.h>
 #include <linux/fs.h>
 #include <linux/limits.h>
 #include <asm/types.h>

_
